using e_suite.API.Common;
using e_suite.Database.Audit;
using e_suite.UnitTestCore;

namespace SSOManager.UnitTests.Helpers;

public class SsoManagerTestBase : TestBase
{
    protected FakeSsoManagerRepository SsoManagerRepository = null!;

    protected AuditUserDetails AuditUserDetails = null!;

    protected ISsoManager SsoManager = null!;

    public override async Task Setup()
    {
        await base.Setup();

        AuditUserDetails = new AuditUserDetails
        {
            UserId = -1,
            UserDisplayName = "Testing User",
            Comment = "Test comment"
        };

        SsoManagerRepository = new FakeSsoManagerRepository();

        SsoManager = new e_suite.Modules.SSOManager.SsoManager(SsoManagerRepository);
    }
}